//
//  TestTabView.m
//  TestViewAndController
//
//  Created by Broc on 2017/5/4.
//  Copyright © 2017年 Broc. All rights reserved.
//

#import "TestTabView.h"
#import "TestTableViewCell.h"
@interface TestTabView ()<UITableViewDelegate,UITableViewDataSource> {
    
}
@end
@implementation TestTabView

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/
- (instancetype)initWithFrame:(CGRect)frame style:(UITableViewStyle)style {
    self = [super initWithFrame:frame style:style];
    if (self) {
        self.delegate = self;
        self.dataSource = self;
    }
    return self;
}
- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    if (self.cellClick) {
        self.cellClick((TestTabView *)tableView, indexPath);
    }
}
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return 10;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    static NSString *idStr = @"TestTableViewCell";
    TestTableViewCell *cell = (TestTableViewCell *)[tableView dequeueReusableCellWithIdentifier:idStr];
    if (!cell) {
        cell = [[[NSBundle mainBundle]loadNibNamed:@"TestTableViewCell" owner:nil options:nil]firstObject];
    }
    cell.btnClick = ^{
        if (self.btnClick) {
            self.btnClick((TestTabView *)tableView, indexPath);
        }
    };
    return cell;
}
- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath {
    return 100;
}
@end
