//
//  ViewController.m
//  TestViewAndController
//
//  Created by Broc on 2017/5/4.
//  Copyright © 2017年 Broc. All rights reserved.
//

#import "ViewController.h"
#import "TestTabView.h"
@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    float kScreenWidth = [UIScreen mainScreen].bounds.size.width;
    float kScreenHeight = [UIScreen mainScreen].bounds.size.height;
    TestTabView *testView = [[TestTabView alloc]initWithFrame:CGRectMake(0, 100, kScreenWidth, kScreenHeight - 100) style:UITableViewStylePlain];
    // cell点击
    testView.cellClick = ^(TestTabView *testTabView, NSIndexPath *clickIndexPath) {
        NSLog(@"testTabView  %p   %ld",testTabView,(long)clickIndexPath.row);
    };
    // cell上面按钮点击
    testView.btnClick = ^(TestTabView *testTabView, NSIndexPath *btnClickIndexPath) {
        NSLog(@"btn click  %ld",btnClickIndexPath.row);
    };
    [self.view addSubview:testView];
    
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
